<template>
  <div class="chart-container">
    <apexchart
        :type="type"
        :options="options"
        :series="series"
        height="100%"
        style="width: 100%; height: 100%"
    />
  </div>
</template>

<script>
import VueApexCharts from "vue3-apexcharts";
export default {
  name: 'Chart',
  components: {
    apexchart: VueApexCharts,
  },
  props: {
    type: {
      required: false,
      default: 'line'
    },
    options: {
      required: true,
    },
    series: {
      required: true,
    },
  },
};
</script>

<style inherit>
.chart-container {
  display: flex;
  flex-grow: 1;
  width: 100%;
}

.apexcharts-svg {
  margin-top: 1.5rem;
  overflow: visible;
}
</style>